Apple começa a forçar usuários dos antigos iPhones / iPods Touch a assinar o firmware 4.0

img
jul
19

broken-iphonePara quem não sabe, os servidores de updates da Apple exigem uma espécie de assinatura via SHSH para que você possa restaurar seu aparelho para um firmware mais antigo que o atual. Sendo assim, caso você por exemplo tente restaurar um iPhone 3GS para o firmware 3.2.1 nos dias de hoje, o iTunes irá exibir um erro, já que o único firmware que Apple está assinando no momento é o 4.1 (mais atual).

O problema é que a Apple começou a exigir essa assinatura também para os aparelhos mais antigos, como o iPhone 3G e o iPod Touch 2G. Para quem não usa jailbreak ou tem o mínimo de cuidado ao realizar updates de firmware, essa notícia não é lá tão importante, mas para aqueles que dependem do Jailbreak para alguma funcionalidade específica e não costumam tomar cuidado com o iTunes, lembre-se que você NÃO PODERÁ fazer downgrade do seu firmware, mesmo possuindo um aparelho de modelo mais antigo.

A solução para tal problema é armazenar os seus hashes SHSH no Cydia. Para fazer isso, basta abrir o Cydia e aceitar o prompt que será exibido para quem tem os aparelhos do modelo antigo. O processo leva apenas alguns segundos e garante que no futuro, caso você atualize para um firmware que não pode ser desbloqueado, seu aparelho possa ser restaurado para um firmware mais antigo.

E é isso. Para maiores informações, visite o blog do Dev-Team.

Suporte NewsInside

 

 

Ao Vivo
Twitch NewsInside